#ifndef __SMEC98SP_H
#define __SMEC98SP_H

#include "config.h"

#ifdef SMEC_CHIP

u16 SMEC_GetVer(void);
u8 SMEC_GetUid(u8 * pUID);
u8 SMEC_GetRandom(u8 *pRandom, u8 bLen);
u8 SMEC_ReadFlash(u16 wAddr, u8 *pbData, u8 bLen);
u8 SMEC_EraseFlash(u16 wAddr);
u8 SMEC_WriteFlash(u16 wAddr, u8 *pbData, u8 bLen);   
u8 SMEC_EncryptionData(u8 key, u8 *pbData, u8 bLen);
u8 SMEC_DecryptionData(u8 key, u8 *pbData, u8 bLen);
int SMEC_Detection(void);

#endif

#endif	   
